| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
MatchingInfo Class Reference
eProsima Fast DDS API Reference » RTPS » Common Module.

Class MatchingInfo contains information about the matching between two endpoints. More...

`#include <MatchingInfo.hpp>`

## Public Member Functions

| MatchingInfo ()
| Default constructor.
| MatchingInfo (MatchingStatus stat, const GUID_t &guid)
| ~MatchingInfo ()

## Public Attributes

MatchingStatus | status
| Status.
GUID_t | remoteEndpointGuid
| Remote endpoint GUID.

## Detailed Description

Class MatchingInfo contains information about the matching between two endpoints.

## Constructor & Destructor Documentation

## ◆ MatchingInfo() [1/2]

MatchingInfo | ( |  | ) |

inline

Default constructor.

## ◆ MatchingInfo() [2/2]

MatchingInfo | ( | MatchingStatus | stat,
|  | const GUID_t & | guid )

inline

Parameters

  stat | Status
  guid | GUID

## ◆ ~MatchingInfo()

~MatchingInfo | ( |  | ) |

inline

## Member Data Documentation

## ◆ remoteEndpointGuid

GUID_t remoteEndpointGuid

Remote endpoint GUID.

## ◆ status

MatchingStatus status

Status.

The documentation for this class was generated from the following file:

- include/fastdds/rtps/common/MatchingInfo.hpp